Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Class ServerRequestInterceptorHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.ServerRequestInterceptorHelper

public class ServerRequestInterceptorHelper
extends java.lang.Object

Helper class for : ServerRequestInterceptor

Author:
  OpenORB Compiler

Constructor Summary
`ServerRequestInterceptorHelper()`

Method Summary
`static ServerRequestInterceptor` | `extract(Any a)` Extract ServerRequestInterceptor from an any
`static java.lang.String` | `id()` Return the ServerRequestInterceptor IDL ID
`static void` | `insert(Any a, ServerRequestInterceptor t)` Insert ServerRequestInterceptor into an any
`static ServerRequestInterceptor` | `narrow(Object obj)` Narrow CORBA::Object to ServerRequestInterceptor
`static ServerRequestInterceptor` | `read(InputStream istream)` Read ServerRequestInterceptor from a marshalled stream
`static TypeCode` | `type()` Return the ServerRequestInterceptor TypeCode
`static ServerRequestInterceptor` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ServerRequestInterceptor
`static void` | `write(OutputStream ostream, ServerRequestInterceptor value)` Write ServerRequestInterceptor into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerRequestInterceptorHelper

    public ServerRequestInterceptorHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServerRequestInterceptor t)

  Insert ServerRequestInterceptor into an any
  Parameters:
    `a` - an any
    `t` - ServerRequestInterceptor value

### extract

    public static ServerRequestInterceptor extract(Any a)

  Extract ServerRequestInterceptor from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServerRequestInterceptor value

### type

    public static TypeCode type()

  Return the ServerRequestInterceptor TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServerRequestInterceptor IDL ID
  Returns:
    an ID

### read

    public static ServerRequestInterceptor read(InputStream istream)

  Read ServerRequestInterceptor from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServerRequestInterceptor value

### write

    public static void write(OutputStream ostream,
                             ServerRequestInterceptor value)

  Write ServerRequestInterceptor into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServerRequestInterceptor value

### narrow

    public static ServerRequestInterceptor narrow(Object obj)

  Narrow CORBA::Object to ServerRequestInterceptor
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServerRequestInterceptor Object

### unchecked_narrow

    public static ServerRequestInterceptor unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ServerRequestInterceptor
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServerRequestInterceptor Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD